## mx4j.remote.rmi
Class ClientUnmarshaller

    java.lang.Object
      mx4j.remote.ClientProxy
          mx4j.remote.rmi.ClientUnmarshaller

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class ClientUnmarshaller
extends ClientProxy

An MBeanServerConnection proxy that performs the setting of the appropriate context classloader to allow classloading of classes sent by the server but not known to the client, in methods like `MBeanServerConnection.getAttribute(javax.management.ObjectName, java.lang.String)`, `MBeanServerConnection.invoke(javax.management.ObjectName, java.lang.String, java.lang.Object[], java.lang.String[])` and so on.

Version:
  $Revision: 1.4 $

Method Summary
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`static javax.management.MBeanServerConnection` `newInstance(javax.management.MBeanServerConnection target, java.lang.ClassLoader loader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static javax.management.MBeanServerConnection newInstance(javax.management.MBeanServerConnection target,
                                                                     java.lang.ClassLoader loader)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Overrides:
    `invoke` in class `ClientProxy`
  Throws:
    `java.lang.Throwable`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.